Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class EnsembleUtilisateursForum

    java.lang.Object
      com.eteks.forum.EnsembleUtilisateursForum

All Implemented Interfaces:
  java.lang.Iterable<Utilisateur>

    public class EnsembleUtilisateursForum

extends java.lang.Object
implements java.lang.Iterable<Utilisateur>

Ensemble d'utilisateurs du forum ou du chat.

Constructor Summary
`EnsembleUtilisateursForum()`

Method Summary
`void` | `ajouter(Utilisateur utilisateur)` Ajoute un utilisateur a cet ensemble.
`boolean` | `contient(Utilisateur utilisateur)` Renvoie true si l'utilisateur en parametre appartient a cet ensemble.
`java.util.Iterator<Utilisateur>` | `iterator()` Renvoie un iterateur permettant d'enumerer les utilisateurs de cet ensemble.
`void` | `supprimer(Utilisateur utilisateur)` Supprime un utilisateur de cet ensemble.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnsembleUtilisateursForum

    public EnsembleUtilisateursForum()

Method Detail

### ajouter

    public void ajouter(Utilisateur utilisateur)

  Ajoute un utilisateur a cet ensemble.

### supprimer

    public void supprimer(Utilisateur utilisateur)

  Supprime un utilisateur de cet ensemble.

### contient

    public boolean contient(Utilisateur utilisateur)

  Renvoie true si l'utilisateur en parametre appartient a cet ensemble.

### iterator

    public java.util.Iterator<Utilisateur> iterator()

  Renvoie un iterateur permettant d'enumerer les utilisateurs de cet ensemble.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Utilisateur>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD